<?php

// -----------------------------------------------------------------------
// This file is part of aroundme
// 
// Copyright (C) 2003, 2005 Barnraiser
// http://www.barnraiser.org/
// info@barnraiser.org
// 
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation; either version 2, or (at your option) any
// later version.
// 
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with program; see the file COPYING. If not, write to the Free
// Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
// 02111-1307, USA.
// -----------------------------------------------------------------------


//MOVE VARS TO TEMPLATE
$body->set('lang', $lang);
$tpl->set('lang', $lang);

//error reporting
if (isset($GLOBALS['am_error_log'])) {
	if (isset($c_node['node']['debug_mode'])) {
	    $tpl->set('error_handling', $c_node['node']['debug_mode']);
	}
    $tpl->set('log', $GLOBALS['am_error_log']);
}


$body->set('pagename', $page_name[0]);
$tpl->set('current_filename', $current_filename);
$body->set('language_id', $language_id);
$tpl->set('language_id', $language_id);


if ($c_node['node']['allow_registration'] == 1) {
   $body->set('allow_registration', 1);
}

$template_file = $page_name[0] . ".tpl.php";

$tpl->set('content', $body->fetch($template_file));

echo $tpl->fetch('default_pre_login.tpl.php');

?>
